# Uses of Interface
org.eclipse.net4j.util.security.IPasswordCredentialsProvider

Packages that use IPasswordCredentialsProvider
Package
Description
org.eclipse.net4j.util.security
Interfaces and classes for security, negotiation, authentication, authorization and cryptography.
org.eclipse.net4j.util.ui
Reusable UI components.
org.eclipse.net4j.util.ui.security
Credentials dialogs.

## Uses of IPasswordCredentialsProvider in org.eclipse.net4j.util.security

Subinterfaces of IPasswordCredentialsProvider in org.eclipse.net4j.util.security
Modifier and Type
Interface
Description
`interface`
`IPasswordCredentialsProvider2`
Classes in org.eclipse.net4j.util.security that implement IPasswordCredentialsProvider
Modifier and Type
Class
Description
`class`
`PasswordCredentialsProvider`
`static class`
`PasswordCredentialsProvider.Delegating`
Methods in org.eclipse.net4j.util.security that return IPasswordCredentialsProvider
Modifier and Type
Method
Description
`IPasswordCredentialsProvider`
IPasswordCredentialsProvider.Provider.`getCredentialsProvider()`
`IPasswordCredentialsProvider`
ResponseNegotiator.`getCredentialsProvider()`
`IPasswordCredentialsProvider`
PasswordCredentialsProvider.Delegating.`getDelegate()`
Methods in org.eclipse.net4j.util.security with parameters of type IPasswordCredentialsProvider
Modifier and Type
Method
Description
`void`
ResponseNegotiator.`setCredentialsProvider(IPasswordCredentialsProvider credentialsProvider)`
Constructors in org.eclipse.net4j.util.security with parameters of type IPasswordCredentialsProvider
Modifier
Constructor
Description
``
`Delegating(IPasswordCredentialsProvider delegate)`

## Uses of IPasswordCredentialsProvider in org.eclipse.net4j.util.ui

Methods in org.eclipse.net4j.util.ui that return IPasswordCredentialsProvider
Modifier and Type
Method
Description
`static IPasswordCredentialsProvider`
UIUtil.`createInteractiveCredentialsProvider()`

## Uses of IPasswordCredentialsProvider in org.eclipse.net4j.util.ui.security

Classes in org.eclipse.net4j.util.ui.security that implement IPasswordCredentialsProvider
Modifier and Type
Class
Description
`class`
`InteractiveCredentialsProvider`